﻿fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 3054C: (1 year) VER IEEE /5500A+SC600
DATE:                  2010-06-03 09:34:12
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       259
CONFIGURATION:         Fluke 5500A (S6)
=============================================================================
#
#  Procedure Author:
#        ZY
# 
#  Models covered:
#        TDS 3054C
# 
#  Source(s):
#        TDS3000C Series Digital Phosphor Oscilloscopes,
#        Specifications and Performance Verification
#        Technical Reference, 071-2508-01
# 
# Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub Display Copyright
#        Sub High Voltage Safety Warning
#        Sub Select Failed Test Mode
#        Sub IEEE-488.2 Identification Query IEEE
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub IEEE-488.2 Identification Query Check Response
#        Sub Tek TDS3000C Check Firmware Version
#        Sub Tek TDS3000C Set Bandwidth & Number of Channels
#        Sub Tek TDS3000C Sig Path Comp Cal IEEE
#        Sub Tek TDS3000C Self-Test IEEE
#        Sub Tek TDS3000C Channel Select IEEE
#        Sub Tek TDS3000C (1 yr) DCV IEEE /5500+S6
#        Sub Tek TDS3000C (1 yr) Bandwidth IEEE /5500+S6
#        Sub Tek TDS3000C (1 yr) Full BW Trig IEEE /5500+S6
#        Sub Tek TDS3000C (1 yr) 50 MHz Trig IEEE /5500+S6
#        Sub Tek TDS3000C (1 yr) Sample Rate IEEE /5500+S6
#        Sub Tek TDS3000C Trigger Chk and Level Adj IEEE
#
# Required Files:
#        None
#
#  Additional Equipment Required:
#        Cable, 50 Ohm, BNC(m)-(m), Pomona 2249-C-36
#        TDS3GV GPIB/RS-232/VGA Communication Module
#
# The procedure was tested using:
#        Model No  :
#        Serial No :
#        Options   :
#        Firmware  :
#
# Average run time during testing :
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  5500         600MH                        1Vpp           LS S6 S  L
  1.003  ENDIF

  1.004  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.005  ASK+           K

  1.006  IF           NOT(VERSIONCHECK("7.20x"))
  1.007  END
  1.008  ENDIF

  1.009  CALL         Sub Display Copyright
  1.010  CALL         Sub High Voltage Safety Warning
  1.011  CALL         Sub Select Failed Test Mode
  1.012  CALL         Sub Select Verification Method (No NTHROW)

  1.013  HEAD         EQUIPMENT REQUIREMENTS
  1.014  OPBR         -z Do you want to REVIEW the list of additional
  1.014  OPBR         equipment and/or accessories required?

  1.015  IF           MEM1
  1.016  DISP         - TDS3GV GPIB/RS-232/VGA Communication Module
  1.016  DISP         - Cable, 50 Ohm, BNC(m)-(m), Pomona 2249-C-36
  1.017  ENDIF

  1.018  HEAD         PRELIMINARY INSTRUCTIONS
  1.019  TARGET
  1.020  DISP         Ensure a minimum UUT warm-up time of at least
  1.020  DISP         20 minutes has been allowed to elapse, prior
  1.020  DISP         to beginning verification.

  1.021  CALL         Sub Tek TDS3000C SetUp IEEE
  1.022  CALL         Sub IEEE-488.2 Identification Query IEEE

  1.023  MATH         @UUT_Manufacturer = "Tektronix"
  1.024  MATH         @UUT_Model        = "TDS 3054C"
  1.025  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.026  JMPL         END                           @Abort

  1.027  CALL         Sub Tek TDS3000C Check Firmware Version
  1.028  JMPL         END                           @Abort

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  -------------------------------    --------------------------------
#    1.   SIGNAL PATH COMPENSATION           SIGNAL PATH COMPENSATION
#    2.   SELF TEST                          SELF TEST
#    3.   DCV GAIN (CH1)                     DCV GAIN (CH1)
#    4.   DCV GAIN (CH2)                     BANDWIDTH (CH1)
#    5.   DCV GAIN (CH3)                     TRIGGER SENS FULL BW (CH1)
#    6.   DCV GAIN (CH4)                     TRIGGER SENS 50 MHz (CH1)
#    7.   BANDWIDTH (CH1)                    SAMPLE RATE AND DELAY TIME ACC
#    8.   BANDWIDTH (CH2)                    DCV GAIN (CH2)
#    9.   BANDWIDTH (CH3)                    BANDWIDTH (CH2)
#   10.   BANDWIDTH (CH4)                    TRIGGER SENS FULL BW (CH2)
#   11.   TRIGGER SENS FULL BW (CH1)         TRIGGER SENS 50 MHz (CH2)
#   12.   TRIGGER SENS FULL BW (CH2)         DCV GAIN (CH3)
#   13.   TRIGGER SENS FULL BW (CH3)         BANDWIDTH (CH3)
#   14.   TRIGGER SENS FULL BW (CH4)         TRIGGER SENS FULL BW (CH3)
#   15.   TRIGGER SENS 50 MHz (CH1)          TRIGGER SENS 50 MHz (CH3)
#   16.   TRIGGER SENS 50 MHz (CH2)          DCV GAIN (CH4)
#   17.   TRIGGER SENS 50 MHz (CH3)          BANDWIDTH (CH4)
#   18.   TRIGGER SENS 50 MHz (CH4)          TRIGGER SENS FULL BW (CH4)
#   19.   SAMPLE RATE AND DELAY TIME ACC     TRIGGER SENS 50 MHz (CH4)

  1.029  CALL         Sub Tek TDS3000C Set Bandwidth & Number of Channels
  1.030  CALL         Sub Tek TDS3000C Sig Path Comp Cal IEEE
  1.031  JMPL         END                           @Abort

  1.032  CALL         Sub Tek TDS3000C Self-Test IEEE
  1.033  JMPL         END                           @Abort

  1.034  DISP         Connect the 5500A Scope Out to UUT CH1.
  1.035  MATH         @Chan = 1
  1.036  CALL         Sub Tek TDS3000C (1 yr) DCV IEEE /5500+S6
  1.037  JMPL         BANDWIDTH_CH1

  1.038  LABEL        DCV_CH2
  1.039  DISP         Connect the 5500A Scope Out to UUT CH2.
  1.040  MATH         @Chan = 2
  1.041  CALL         Sub Tek TDS3000C (1 yr) DCV IEEE /5500+S6
  1.042  JMPL         BANDWIDTH_CH2

  1.043  LABEL        DCV_CH3
  1.044  DISP         Connect the 5500A Scope Out to UUT CH3.
  1.045  MATH         @Chan = 3
  1.046  CALL         Sub Tek TDS3000C (1 yr) DCV IEEE /5500+S6
  1.047  JMPL         BANDWIDTH_CH3

  1.048  LABEL        DCV_CH4
  1.049  DISP         Connect the 5500A Scope Out to UUT CH4.
  1.050  MATH         @Chan = 4
  1.051  CALL         Sub Tek TDS3000C (1 yr) DCV IEEE /5500+S6
  1.052  JMPL         BANDWIDTH_CH4

  1.053  LABEL        BANDWIDTH_CH1
  1.054  MATH         @Chan = 1
  1.055  CALL         Sub Tek TDS3000C (1 yr) Bandwidth IEEE /5500+S6
  1.056  JMPL         TRIG_FULL_BW_CH1

  1.057  LABEL        BANDWIDTH_CH2
  1.058  MATH         @Chan = 2
  1.059  CALL         Sub Tek TDS3000C (1 yr) Bandwidth IEEE /5500+S6
  1.060  JMPL         TRIG_FULL_BW_CH2

  1.061  LABEL        BANDWIDTH_CH3
  1.062  MATH         @Chan = 3
  1.063  CALL         Sub Tek TDS3000C (1 yr) Bandwidth IEEE /5500+S6
  1.064  JMPL         TRIG_FULL_BW_CH3

  1.065  LABEL        BANDWIDTH_CH4
  1.066  MATH         @Chan = 4
  1.067  CALL         Sub Tek TDS3000C (1 yr) Bandwidth IEEE /5500+S6
  1.068  JMPL         TRIG_FULL_BW_CH4

  1.069  LABEL        TRIG_FULL_BW_CH1
  1.070  MATH         @Chan = 1
  1.071  CALL         Sub Tek TDS3000C (1 yr) Full BW Trig IEEE /5500+S6
  1.072  JMPL         TRIG_50MH_CH1

  1.073  LABEL        TRIG_FULL_BW_CH2
  1.074  MATH         @Chan = 2
  1.075  CALL         Sub Tek TDS3000C (1 yr) Full BW Trig IEEE /5500+S6
  1.076  JMPL         TRIG_50MH_CH2

  1.077  LABEL        TRIG_FULL_BW_CH3
  1.078  MATH         @Chan = 3
  1.079  CALL         Sub Tek TDS3000C (1 yr) Full BW Trig IEEE /5500+S6
  1.080  JMPL         TRIG_50MH_CH3

  1.081  LABEL        TRIG_FULL_BW_CH4
  1.082  MATH         @Chan = 4
  1.083  CALL         Sub Tek TDS3000C (1 yr) Full BW Trig IEEE /5500+S6
  1.084  JMPL         TRIG_50MH_CH4

  1.085  LABEL        TRIG_50MH_CH1
  1.086  MATH         @Chan = 1
  1.087  CALL         Sub Tek TDS3000C (1 yr) 50 MHz Trig IEEE /5500+S6
  1.088  JMPL         SAMPLE_RATE

  1.089  LABEL        TRIG_50MH_CH2
  1.090  MATH         @Chan = 2
  1.091  CALL         Sub Tek TDS3000C (1 yr) 50 MHz Trig IEEE /5500+S6
  1.092  JMPL         DCV_CH3

  1.093  LABEL        TRIG_50MH_CH3
  1.094  MATH         @Chan = 3
  1.095  CALL         Sub Tek TDS3000C (1 yr) 50 MHz Trig IEEE /5500+S6
  1.096  JMPL         DCV_CH4

  1.097  LABEL        TRIG_50MH_CH4
  1.098  MATH         @Chan = 4
  1.099  CALL         Sub Tek TDS3000C (1 yr) 50 MHz Trig IEEE /5500+S6
  1.100  JMPL         END

  1.101  LABEL        SAMPLE_RATE
  1.102  MATH         @Chan = 1
  1.103  CALL         Sub Tek TDS3000C (1 yr) Sample Rate IEEE /5500+S6
  1.104  JMPL         DCV_CH2

  1.105  LABEL        END
  1.106  HEAD         -2

  1.107  IF           @Abort
  1.108  HEAD         V E R I F I C A T I O N   A B O R T E D
  1.109  ELSE
  1.110  HEAD         V E R I F I C A T I O N   C O M P L E T E
  1.111  ENDIF

  1.112  END




